## golang-github-juju-cmd 0.0~git20210809.65029dab

=== Makefile ===
# Copyright 2014 Canonical Ltd.
# Licensed under the LGPLv3, see LICENSE file for details.

default: check

check:
	go test

docs:
	godoc2md github.com/juju/cmd/v3 > README.md

=== debian/changelog ===
golang-github-juju-cmd (0.0~git20210809.65029dab-2) unstable; urgency=medium

  * Source only upload for testing migration

 -- Mathias Gibbens <mathias@calenhad.com>  Sun, 28 Nov 2021 19:39:52 +0100

golang-github-juju-cmd (0.0~git20210809.65029dab-1) unstable; urgency=medium

  * Initial release (Closes: #998301)

 -- Mathias Gibbens <mathias@calenhad.com>  Sat, 20 Nov 2021 16:20:06 +0100

=== debian/control ===
Source: golang-github-juju-cmd
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <mathias@calenhad.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-juju-ansiterm-dev,
               golang-github-juju-errors-dev,
               golang-github-juju-gnuflag-dev,
               golang-github-juju-loggo-dev,
               golang-github-juju-testing-dev,
               golang-gopkg-check.v1-dev,
               golang-yaml.v2-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-cmd
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-cmd.git
Homepage: https://github.com/juju/cmd
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/juju/cmd

Package: golang-github-juju-cmd-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-github-juju-ansiterm-dev,
         golang-github-juju-errors-dev,
         golang-github-juju-gnuflag-dev,
         golang-github-juju-loggo-dev,
         golang-github-juju-testing-dev,
         golang-gopkg-check.v1-dev,
         golang-yaml.v2-dev
Description: Command line implementation framework (library)
 Command line implementation framework that is used by other juju libraries.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/juju/cmd.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%!((string=golang-github-juju-cmd)?:.*?)?v?(\d[\d.]*)\.tar\.gz%!@(MISSING)PACKAGE@-$1.tar.gz%!,(MISSING)\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/juju/cmd/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-juju-cmd 0.0~git20220203.039f356

=== debian/changelog ===
golang-github-juju-cmd (0.0~git20220203.039f356-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * New upstream snapshot
    - Refresh patch
  * Update years in d/copyright

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 06 May 2022 12:26:07 +0000

## golang-github-juju-cmd 3.0.2

=== debian/changelog ===
golang-github-juju-cmd (3.0.2-1) unstable; urgency=medium

  * New upstream release
    - Update d/watch to track releases
  * d/control:
    - Update Standards-Version (no changes needed)
    - Add Breaks for golang-github-canonical-candid-dev << 1.12.1

 -- Mathias Gibbens <mathias@calenhad.com>  Sun, 11 Sep 2022 16:03:23 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                golang-github-juju-testing-dev,
                golang-gopkg-check.v1-dev,
                golang-yaml.v2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-cmd
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-cmd.git
 Homepage: https://github.com/juju/cmd
@@ -24,6 +24,7 @@
 Package: golang-github-juju-cmd-dev
 Architecture: all
 Multi-Arch: foreign
+Breaks: golang-github-canonical-candid-dev (<< 1.12.1)
 Depends: ${misc:Depends},
          golang-github-juju-ansiterm-dev,
          golang-github-juju-errors-dev,

## golang-github-juju-cmd 3.0.10

=== debian/changelog ===
golang-github-juju-cmd (3.0.10-2) unstable; urgency=medium

  * Team upload
  * Add patch to fix FTBFS with golang-1.21

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 27 Jul 2023 16:04:09 +0800

golang-github-juju-cmd (3.0.10-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update my email address
    - Update Standards-Version to 4.6.2 (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 17 Jun 2023 16:56:28 +0000

## golang-github-juju-cmd 3.0.13

=== debian/changelog ===
golang-github-juju-cmd (3.0.13-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 08 Sep 2023 22:58:12 +0000

## golang-github-juju-cmd 3.0.14

=== debian/changelog ===
golang-github-juju-cmd (3.0.14-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 11 Nov 2023 14:34:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-juju-cmd
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Mathias Gibbens <mathias@calenhad.com>
+Uploaders: Mathias Gibbens <gibmat@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -14,7 +14,7 @@
                golang-github-juju-testing-dev,
                golang-gopkg-check.v1-dev,
                golang-yaml.v2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-cmd
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-cmd.git
 Homepage: https://github.com/juju/cmd

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/juju/cmd/tags .*/v?(\d\S*)\.tar\.gz debian
